#if !defined(AFX_PRPOBJWIDEPOLY_H__8F0456A1_255A_11D3_AD54_00C0F6B0E2D0__INCLUDED_)
#define AFX_PRPOBJWIDEPOLY_H__8F0456A1_255A_11D3_AD54_00C0F6B0E2D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProObjWidePoly.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "StcWideLine.h"	// For CFCStcWideLine.
#include "ProObjWidePolySub.h"
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

/////////////////////////////////////////////////////////////////////////////
// CFCProObjWidePoly _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProObjWidePoly : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProObjWidePoly)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProObjWidePoly();
	~CFCProObjWidePoly();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProObjWidePoly)
	enum { IDD = IDD_PRO_WIDE_POLY };
	CFCStcWideLine	m_stcSlopeSample;
	//}}AFX_DATA

CFCPROOBJWIDEPOLY

// _xZkqqHx_iDiGiBfLiDfFiKnGjAjEiBeC_xHqqkZx_
protected:
	virtual short	SlopeValueToIndex (short nSlopeF, short nSlopeB) const;
	virtual void	SlopeIndexToValue (short& nSlopeF, short& nSlopeB, short nIndex) const;

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCProObjWidePoly)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProObjWidePoly)
	virtual BOOL OnInitDialog();
	afx_msg void OnEditchangeWplCmbPolyWidthF();
	afx_msg void OnSelchangeWplCmbPolyWidthF();
	afx_msg void OnCloseupWplCmbPolyWidthF();
	afx_msg void OnEditchangeWplCmbPolyWidthB();
	afx_msg void OnSelchangeWplCmbPolyWidthB();
	afx_msg void OnCloseupWplCmbPolyWidthB();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnSelchangeWplCmbPolyWidthSlope();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PRPOBJWIDEPOLY_H__8F0456A1_255A_11D3_AD54_00C0F6B0E2D0__INCLUDED_)
